import { jsx } from "react/jsx-runtime";
import { TokenPROPC as TokenPROPC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPROPC = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "PROPC", "data-name": "TokenPROPC", ...props, children: /* @__PURE__ */ jsx(TokenPROPC$1, { variant }) });
  }
);
TokenPROPC.displayName = "TokenPROPC";
Object.assign(TokenPROPC, { isGdsIcon: true });
export {
  TokenPROPC
};
